Package org.jbpm.services.task.audit.service

## Class AuditTaskQueryBuilderImpl

- java.lang.Object
- - org.jbpm.query.jpa.builder.impl.AbstractQueryBuilderImpl<T>
  - - org.jbpm.process.audit.query.AbstractAuditQueryBuilderImpl<org.kie.internal.task.query.AuditTaskQueryBuilder,​org.kie.internal.task.api.AuditTask>
    - - org.jbpm.services.task.audit.service.AuditTaskQueryBuilderImpl

- All Implemented Interfaces:
    `org.kie.internal.query.ExtendedParametrizedQueryBuilder<org.kie.internal.task.query.AuditTaskQueryBuilder,​org.kie.internal.task.api.AuditTask>`, `org.kie.internal.query.ParametrizedQueryBuilder<org.kie.internal.task.query.AuditTaskQueryBuilder>`, `org.kie.internal.query.ProcessInstanceIdQueryBuilder<org.kie.internal.task.query.AuditTaskQueryBuilder,​org.kie.internal.task.api.AuditTask>`, `org.kie.internal.runtime.manager.audit.query.AuditLogQueryBuilder<org.kie.internal.task.query.AuditTaskQueryBuilder,​org.kie.internal.task.api.AuditTask>`, `org.kie.internal.runtime.manager.audit.query.ProcessIdQueryBuilder<org.kie.internal.task.query.AuditTaskQueryBuilder,​org.kie.internal.task.api.AuditTask>`, `org.kie.internal.task.query.AuditTaskQueryBuilder`, `org.kie.internal.task.query.TaskAuditQueryBuilder<org.kie.internal.task.query.AuditTaskQueryBuilder,​org.kie.internal.task.api.AuditTask>`

      public class AuditTaskQueryBuilderImpl
      extends AbstractAuditQueryBuilderImpl<org.kie.internal.task.query.AuditTaskQueryBuilder,​org.kie.internal.task.api.AuditTask>
      implements org.kie.internal.task.query.AuditTaskQueryBuilder

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.kie.internal.runtime.manager.audit.query.AuditLogQueryBuilder

      `org.kie.internal.runtime.manager.audit.query.AuditLogQueryBuilder.OrderBy`

    - ### Nested classes/interfaces inherited from interface org.kie.internal.task.query.AuditTaskQueryBuilder

      `org.kie.internal.task.query.AuditTaskQueryBuilder.OrderBy`

  - ### Field Summary

    - ### Fields inherited from class org.jbpm.process.audit.query.AbstractAuditQueryBuilderImpl

      `executor, jpaAuditService`

    - ### Fields inherited from class org.jbpm.query.jpa.builder.impl.AbstractQueryBuilderImpl

      `queryWhere`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AuditTaskQueryBuilderImpl​(JPAAuditLogService jpaAuditService)` |
    `AuditTaskQueryBuilderImpl​(org.kie.api.runtime.CommandExecutor cmdService)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.kie.internal.task.query.AuditTaskQueryBuilder` | `activationTime​(Date... activationTime)` |
    `org.kie.internal.task.query.AuditTaskQueryBuilder` | `activationTimeRange​(Date activationTimeMin, Date activationTimeMax)` |
    `org.kie.internal.task.query.AuditTaskQueryBuilder` | `actualOwner​(String... actualOwnerUserId)` |
    `org.kie.internal.task.query.AuditTaskQueryBuilder` | `ascending​(org.kie.internal.task.query.AuditTaskQueryBuilder.OrderBy field)` |
    `org.kie.internal.task.query.AuditTaskQueryBuilder` | `createdBy​(String... createdByUserId)` |
    `org.kie.internal.task.query.AuditTaskQueryBuilder` | `createdOn​(Date... createdOn)` |
    `org.kie.internal.task.query.AuditTaskQueryBuilder` | `createdOnRange​(Date createdOnMin, Date createdOnMax)` |
    `org.kie.internal.task.query.AuditTaskQueryBuilder` | `deploymentId​(String... deploymentId)` |
    `org.kie.internal.task.query.AuditTaskQueryBuilder` | `descending​(org.kie.internal.task.query.AuditTaskQueryBuilder.OrderBy field)` |
    `org.kie.internal.task.query.AuditTaskQueryBuilder` | `description​(String... description)` |
    `org.kie.internal.task.query.AuditTaskQueryBuilder` | `dueDate​(Date... dueDate)` |
    `org.kie.internal.task.query.AuditTaskQueryBuilder` | `dueDateRange​(Date dueDateMin, Date dueDateMax)` |
    `protected Class<AuditTaskImpl>` | `getQueryType()` |
    `protected Class<org.kie.internal.task.api.AuditTask>` | `getResultType()` |
    `org.kie.internal.task.query.AuditTaskQueryBuilder` | `id​(long... id)` |
    `org.kie.internal.task.query.AuditTaskQueryBuilder` | `priority​(int... priority)` |
    `org.kie.internal.task.query.AuditTaskQueryBuilder` | `processSessionId​(long... processSessionId)` |
    `org.kie.internal.task.query.AuditTaskQueryBuilder` | `taskId​(long... taskId)` |
    `org.kie.internal.task.query.AuditTaskQueryBuilder` | `taskIdRange​(Long taskIdMin, Long taskIdMax)` |
    `org.kie.internal.task.query.AuditTaskQueryBuilder` | `taskName​(String... name)` |
    `org.kie.internal.task.query.AuditTaskQueryBuilder` | `taskParentId​(long... parentId)` |
    `org.kie.internal.task.query.AuditTaskQueryBuilder` | `taskStatus​(org.kie.api.task.model.Status... status)` |
    `org.kie.internal.task.query.AuditTaskQueryBuilder` | `workItemId​(long... workItemId)` |

    - ### Methods inherited from class org.jbpm.process.audit.query.AbstractAuditQueryBuilderImpl

      `ascending, build, date, dateRangeEnd, dateRangeStart, descending, getJpaAuditLogService, processId, processInstanceId, processInstanceIdRange`

    - ### Methods inherited from class org.jbpm.query.jpa.builder.impl.AbstractQueryBuilderImpl

      `addIntParameter, addLongParameter, addObjectParameter, addRangeParameter, addRangeParameters, and, clear, endGroup, equals, getQueryWhere, intersect, like, maxResults, newGroup, offset, or, regex, union`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.kie.internal.task.query.AuditTaskQueryBuilder

      `processId`

    - ### Methods inherited from interface org.kie.internal.query.ExtendedParametrizedQueryBuilder

      `build, endGroup, newGroup`

    - ### Methods inherited from interface org.kie.internal.query.ParametrizedQueryBuilder

      `and, clear, equals, intersect, like, maxResults, offset, or, regex, union`

    - ### Methods inherited from interface org.kie.internal.query.ProcessInstanceIdQueryBuilder

      `processInstanceId, processInstanceIdRange`

- - ### Constructor Detail

    - #### AuditTaskQueryBuilderImpl

          public AuditTaskQueryBuilderImpl​(org.kie.api.runtime.CommandExecutor cmdService)

    - #### AuditTaskQueryBuilderImpl

          public AuditTaskQueryBuilderImpl​(JPAAuditLogService jpaAuditService)

  - ### Method Detail

    - #### taskId

          public org.kie.internal.task.query.AuditTaskQueryBuilder taskId​(long... taskId)

      Specified by:
        `taskId` in interface `org.kie.internal.task.query.TaskAuditQueryBuilder<org.kie.internal.task.query.AuditTaskQueryBuilder,​org.kie.internal.task.api.AuditTask>`

    - #### taskIdRange

          public org.kie.internal.task.query.AuditTaskQueryBuilder taskIdRange​(Long taskIdMin,
                                                                               Long taskIdMax)

      Specified by:
        `taskIdRange` in interface `org.kie.internal.task.query.TaskAuditQueryBuilder<org.kie.internal.task.query.AuditTaskQueryBuilder,​org.kie.internal.task.api.AuditTask>`

    - #### taskStatus

          public org.kie.internal.task.query.AuditTaskQueryBuilder taskStatus​(org.kie.api.task.model.Status... status)

      Specified by:
        `taskStatus` in interface `org.kie.internal.task.query.AuditTaskQueryBuilder`

    - #### actualOwner

          public org.kie.internal.task.query.AuditTaskQueryBuilder actualOwner​(String... actualOwnerUserId)

      Specified by:
        `actualOwner` in interface `org.kie.internal.task.query.AuditTaskQueryBuilder`

    - #### deploymentId

          public org.kie.internal.task.query.AuditTaskQueryBuilder deploymentId​(String... deploymentId)

      Specified by:
        `deploymentId` in interface `org.kie.internal.task.query.AuditTaskQueryBuilder`

    - #### id

          public org.kie.internal.task.query.AuditTaskQueryBuilder id​(long... id)

      Specified by:
        `id` in interface `org.kie.internal.task.query.TaskAuditQueryBuilder<org.kie.internal.task.query.AuditTaskQueryBuilder,​org.kie.internal.task.api.AuditTask>`

    - #### createdOn

          public org.kie.internal.task.query.AuditTaskQueryBuilder createdOn​(Date... createdOn)

      Specified by:
        `createdOn` in interface `org.kie.internal.task.query.AuditTaskQueryBuilder`

    - #### createdOnRange

          public org.kie.internal.task.query.AuditTaskQueryBuilder createdOnRange​(Date createdOnMin,
                                                                                  Date createdOnMax)

      Specified by:
        `createdOnRange` in interface `org.kie.internal.task.query.AuditTaskQueryBuilder`

    - #### taskParentId

          public org.kie.internal.task.query.AuditTaskQueryBuilder taskParentId​(long... parentId)

      Specified by:
        `taskParentId` in interface `org.kie.internal.task.query.AuditTaskQueryBuilder`

    - #### createdBy

          public org.kie.internal.task.query.AuditTaskQueryBuilder createdBy​(String... createdByUserId)

      Specified by:
        `createdBy` in interface `org.kie.internal.task.query.AuditTaskQueryBuilder`

    - #### activationTime

          public org.kie.internal.task.query.AuditTaskQueryBuilder activationTime​(Date... activationTime)

      Specified by:
        `activationTime` in interface `org.kie.internal.task.query.AuditTaskQueryBuilder`

    - #### activationTimeRange

          public org.kie.internal.task.query.AuditTaskQueryBuilder activationTimeRange​(Date activationTimeMin,
                                                                                       Date activationTimeMax)

      Specified by:
        `activationTimeRange` in interface `org.kie.internal.task.query.AuditTaskQueryBuilder`

    - #### taskName

          public org.kie.internal.task.query.AuditTaskQueryBuilder taskName​(String... name)

      Specified by:
        `taskName` in interface `org.kie.internal.task.query.AuditTaskQueryBuilder`

    - #### description

          public org.kie.internal.task.query.AuditTaskQueryBuilder description​(String... description)

      Specified by:
        `description` in interface `org.kie.internal.task.query.AuditTaskQueryBuilder`

    - #### workItemId

          public org.kie.internal.task.query.AuditTaskQueryBuilder workItemId​(long... workItemId)

      Specified by:
        `workItemId` in interface `org.kie.internal.task.query.AuditTaskQueryBuilder`

    - #### priority

          public org.kie.internal.task.query.AuditTaskQueryBuilder priority​(int... priority)

      Specified by:
        `priority` in interface `org.kie.internal.task.query.AuditTaskQueryBuilder`

    - #### processSessionId

          public org.kie.internal.task.query.AuditTaskQueryBuilder processSessionId​(long... processSessionId)

      Specified by:
        `processSessionId` in interface `org.kie.internal.task.query.AuditTaskQueryBuilder`

    - #### dueDate

          public org.kie.internal.task.query.AuditTaskQueryBuilder dueDate​(Date... dueDate)

      Specified by:
        `dueDate` in interface `org.kie.internal.task.query.AuditTaskQueryBuilder`

    - #### dueDateRange

          public org.kie.internal.task.query.AuditTaskQueryBuilder dueDateRange​(Date dueDateMin,
                                                                                Date dueDateMax)

      Specified by:
        `dueDateRange` in interface `org.kie.internal.task.query.AuditTaskQueryBuilder`

    - #### ascending

          public org.kie.internal.task.query.AuditTaskQueryBuilder ascending​(org.kie.internal.task.query.AuditTaskQueryBuilder.OrderBy field)

      Specified by:
        `ascending` in interface `org.kie.internal.task.query.AuditTaskQueryBuilder`

    - #### descending

          public org.kie.internal.task.query.AuditTaskQueryBuilder descending​(org.kie.internal.task.query.AuditTaskQueryBuilder.OrderBy field)

      Specified by:
        `descending` in interface `org.kie.internal.task.query.AuditTaskQueryBuilder`

    - #### getResultType

          protected Class<org.kie.internal.task.api.AuditTask> getResultType()

      Specified by:
        `getResultType` in class `AbstractAuditQueryBuilderImpl<org.kie.internal.task.query.AuditTaskQueryBuilder,​org.kie.internal.task.api.AuditTask>`

    - #### getQueryType

          protected Class<AuditTaskImpl> getQueryType()

      Specified by:
        `getQueryType` in class `AbstractAuditQueryBuilderImpl<org.kie.internal.task.query.AuditTaskQueryBuilder,​org.kie.internal.task.api.AuditTask>`